# 腾讯云实时音视频 TRTC SDK

简体中文 | [English](./README.md)

## 产品介绍

腾讯实时音视频（Tencent Real-Time Communication，TRTC），将腾讯多年来在网络与音视频技术上的深度积累，以多人音视频通话和低延时互动直播两大场景化方案，通过腾讯云服务向开发者开放，致力于帮助开发者快速搭建低成本、低延时、高品质的音视频互动解决方案，[更多](https://cloud.tencent.com/document/product/647/16788)...

> TRTC SDK 支持Web、Android、iOS、Windows以及Flutter、小程序等所有主流平台， [更多平台](https://github.com/LiteAVSDK?q=TRTC_&type=all&sort=)...

## 更新日志

版本更新历史请点击 [SDK 发布日志(Web)](https://cloud.tencent.com/document/product/647/38958)。

## 目录说明

```
.
├── README.md
├── v5                      -- TRTC Web SDK 5.x 最新版文件
├── SDK                     -- TRTC Web SDK 4.x 最新版文件
├── base-js                 -- TRTC Web 基础 Demo
├── base-react-next         -- TRTC Web API Examples
├── quick-demo-js           -- TRTC Web 快速运行 Demo (原生 Js 版本)
└── quick-demo-vue2-js      -- TRTC Web 快速运行 Demo (Vue2 版本)
```

**v5**

- 说明：`v5` 文件夹下为 [TRTC Web SDK 5.x](https://www.npmjs.com/package/trtc-sdk-v5) 最新版本文件。

**SDK**

- 说明：`SDK` 文件夹下为 [TRTC Web SDK 4.x](https://www.npmjs.com/package/trtc-js-sdk) 最新版本文件。

**base-js**

- 说明：`base-js` 文件夹下为 TRTC Web 基础 Demo。TRTC Web 基础 Demo 集成了 [TRTC Web SDK](https://www.npmjs.com/package/trtc-js-sdk) 的基础音视频通话、设备选择等功能，使用 jQuery 开发，可直接在浏览器中运行。
- 运行：运行 TRTC Web 基础 Demo 请参考 [运行 base-js](https://github.com/LiteAVSDK/TRTC_Web/tree/main/base-js)。
- 在线体验：[TRTC Web 基础 Demo 在线体验](https://web.sdk.qcloud.com/trtc/webrtc/demo/latest/official-demo/index.html)。

**base-react-next**

- 说明：`base-react-next` 文件夹下为 TRTC Web API Examples。Web API Examples 展示了 [TRTC Web SDK](https://www.npmjs.com/package/trtc-js-sdk) 中 [API 接口](https://web.sdk.qcloud.com/trtc/webrtc/doc/zh-cn/Client.html) 的使用方法和应用场景。Web API Examples 使用 [Next.js](https://www.nextjs.cn/) 进行开发，需要您安装 Node 环境。
- 运行：运行 TRTC Web API Examples 请参考 [运行 base-react-next](https://github.com/LiteAVSDK/TRTC_Web/tree/main/base-react-next)。
- 在线体验：[TRTC Web API-Example 在线体验](https://web.sdk.qcloud.com/trtc/webrtc/demo/api-sample/basic-rtc.html)。

**quick-demo-js**

- 说明：`quick-demo-js` 文件夹下为 TRTC Web 快速运行 Demo (原生 Js 版本)。TRTC Web 快速运行 Demo (原生 Js 版本) 集成了 [TRTC Web SDK](https://www.npmjs.com/package/trtc-js-sdk) 的基础音视频通话、设备选择等功能，使用原生 Js 开发，可直接在浏览器中运行。
- 运行：运行 TRTC Web 快速运行 Demo (原生 Js 版本) 请参考 [运行 TRTC Web 快速运行 Demo (原生 Js 版本)](https://github.com/LiteAVSDK/TRTC_Web/tree/main/quick-demo-js)。
- 在线体验：[TRTC Web quick Demo (原生 Js 版本) 在线体验](https://web.sdk.qcloud.com/trtc/webrtc/demo/quick-demo-js/index.html)。

**quick-demo-vue2-js**

- 说明：`quick-demo-vue2-js` 文件夹下为 TRTC Web 快速运行 Demo (Vue2 版本)。TRTC Web 快速运行 Demo (Vue2 版本) 集成了 [TRTC Web SDK](https://www.npmjs.com/package/trtc-js-sdk) 的基础音视频通话、设备选择等功能，使用 [Vue2](https://cn.vuejs.org/index.html) 开发，需要您安装 Node 环境。
- 运行：运行 TRTC Web 快速运行 Demo (Vue2 版本) 请参考 [运行 TRTC Web 快速运行 Demo (Vue2 版本)](https://github.com/LiteAVSDK/TRTC_Web/tree/main/quick-demo-vue2-js)。
- 在线体验：[TRTC Web quick Demo (Vue2 版本) 在线体验](https://web.sdk.qcloud.com/trtc/webrtc/demo/quick-demo-vue2-js/index.html)。


## 联系我们

- 如果你遇到了困难，可以先参阅 [常见问题](https://cloud.tencent.com/document/product/647/43018)；
- 如果你想了解TRTC SDK在复杂场景下的应用，可以参考[更多场景案例](https://cloud.tencent.com/document/product/647/57486)；
- 完整的 API 文档见 [SDK 的 API 文档](https://web.sdk.qcloud.com/trtc/webrtc/doc/zh-cn/index.html)；
- 如果需要售后技术支持, 你可以点击[这里](https://cloud.tencent.com/document/product/647/19906)；
- 如果发现了示例代码的 bug，欢迎提交 issue；

