# 腾讯云实时音视频 TRTC SDK (Version 5.x)

简体中文 | [English](./README.md)

## 产品介绍

腾讯实时音视频（Tencent Real-Time Communication，TRTC），将腾讯多年来在网络与音视频技术上的深度积累，以多人音视频通话和低延时互动直播两大场景化方案，通过腾讯云服务向开发者开放，致力于帮助开发者快速搭建低成本、低延时、高品质的音视频互动解决方案，[更多](https://cloud.tencent.com/document/product/647/16788)...

> TRTC SDK 支持Web、Android、iOS、Windows以及Flutter、小程序等所有主流平台， [更多平台](https://github.com/LiteAVSDK?q=TRTC_&type=all&sort=)...

## 更新日志

版本更新历史请点击 [SDK 发布日志(Web)](https://web.sdk.qcloud.com/trtc/webrtc/v5/doc/zh-cn/tutorial-01-info-changelog.html)。

## 目录说明

```
.
├── README.md
├── SDK                     -- TRTC Web SDK 5.x 最新版文件
├── quick-demo-js           -- TRTC Web 快速运行 Demo (原生 Js 版本)
├── quick-demo-vue2-js      -- TRTC Web 快速运行 Demo (Vue2 版本)
└── quick-demo-vue3-ts      -- TRTC Web 快速运行 Demo (Vue3 版本)
```

**SDK**

- 说明：`SDK` 文件夹下为 [TRTC Web SDK 5.x](https://www.npmjs.com/package/trtc-sdk-v5) 最新版本文件。

**quick-demo-js**

- 说明：`quick-demo-js` 为 TRTC Web 快速运行 Demo (原生 Js 版本)，集成了 TRTC Web SDK 的基础音视频通话、设备选择等功能，使用原生 Js 开发，可直接在浏览器中运行。
- 运行：进入文件夹内参考 README。
- 在线体验 [quick-demo-js 在线体验地址](https://web.sdk.qcloud.com/trtc/webrtc/v5/demo/quick-demo-js/index.html)。

**quick-demo-vue2-js**

- 说明：`quick-demo-vue2-js` 为 TRTC Web 快速运行 Demo (Vue2 版本)，集成了 TRTC Web SDK 的基础音视频通话、设备选择等功能，使用 Vue2 + JavaScript 开发，需要您安装 Node 环境，按下方说明运行体验。
- 运行：进入文件夹内参考 README。
- 在线体验 [quick-demo-vue2-js 在线体验地址](https://web.sdk.qcloud.com/trtc/webrtc/v5/demo/quick-demo-vue2-js/index.html)。

**quick-demo-vue3-ts**

- 说明：`quick-demo-vue3-ts` 为 TRTC Web 快速运行 Demo (Vue3 版本)，集成了 TRTC Web SDK 的基础音视频通话、设备选择等功能，使用 Vue3 + TypeScript 开发，需要您安装 Node 环境。
- 运行：进入文件夹内参考 README。
- 在线体验 [quick-demo-vue3-ts 在线体验地址](https://web.sdk.qcloud.com/trtc/webrtc/v5/demo/quick-demo-vue3-ts/index.html)。

## 联系我们

- 如果你遇到了困难，可以先参阅 [常见问题](https://cloud.tencent.com/document/product/647/43018)；
- 如果你想了解TRTC SDK在复杂场景下的应用，可以参考[更多场景案例](https://cloud.tencent.com/document/product/647/57486)；
- 完整的 API 文档见 [SDK 的 API 文档](https://web.sdk.qcloud.com/trtc/webrtc/v5/doc/zh-cn/index.html)；
- 如果需要售后技术支持, 你可以点击[这里](https://cloud.tencent.com/document/product/647/19906)；
- 如果发现了示例代码的 bug，欢迎提交 issue；

