# TRTC SDK (Version 5.x)

English | [简体中文](./README-zh_CN.md)

## Overview

Leveraging Tencent's many years of experience in network and audio/video technologies, Tencent Real-Time Communication (TRTC) offers solutions for group audio/video calls and low-latency interactive live streaming. With TRTC, you can quickly develop cost-effective, low-latency, and high-quality interactive audio/video services. [Learn more](https://www.tencentcloud.com/document/product/647/35078)...

> We offer SDKs for web, Android, iOS, Windows, Flutter, WeChat Mini Program, and [other mainstream platforms](https://github.com/LiteAVSDK?q=TRTC_&type=all&sort=).

## Changelog

For the changelog of the SDK, see [Release Notes (Web)](https://web.sdk.qcloud.com/trtc/webrtc/v5/doc/en/tutorial-01-info-changelog.html).

## Contents

```
.
├── README.md
├── SDK                     -- The latest version of the TRTC web SDK 5.x
├── quick-demo-js           -- TRTC web quick demo (JavaScript edition)
├── quick-demo-vue2-js      -- TRTC web quick demo (Vue.js 2 edition)
└── quick-demo-vue3-ts      -- TRTC web quick demo (Vue.js 3 edition)
```

**SDK**

- You can find the latest version of the [TRTC web SDK 5.x](https://www.npmjs.com/package/trtc-sdk-v5) in the `SDK` directory.

**quick-demo-js**

- Description: `quick-demo-js` is a TRTC Web quick running demo (native JS version), integrating the basic audio and video communication and device selection functions of TRTC Web SDK. It is developed in native JS and can be directly run in the browser.
- Running: Refer to the README in the folder.
- Online experience: [Quick-demo-js online experience address](https://web.sdk.qcloud.com/trtc/webrtc/v5/demo/quick-demo-js/index.html).

**quick-demo-vue2-js**

- Description: `quick-demo-vue2-js` is a TRTC Web quick running demo (Vue2 version), integrating the basic audio and video communication and device selection functions of TRTC Web SDK. It is developed in Vue2 + JavaScript and requires you to install the Node environment to run the experience according to the instructions below.
- Running: Refer to the README in the folder.
- Online experience: [Quick-demo-vue2-js online experience address](https://web.sdk.qcloud.com/trtc/webrtc/v5/demo/quick-demo-vue2-js/index.html).

**quick-demo-vue3-ts**

- Description: `quick-demo-vue3-ts` is a TRTC Web quick running demo (Vue3 version), integrating the basic audio and video communication and device selection functions of TRTC Web SDK. It is developed in Vue3 + TypeScript and requires you to install the Node environment.
- Running: Refer to the README in the folder.
- Online experience: [Quick-demo-vue3-ts online experience address](https://web.sdk.qcloud.com/trtc/webrtc/v5/demo/quick-demo-vue3-ts/index.html).

## Contact Us

- If you have questions, see [FAQs](https://www.tencentcloud.com/document/product/647/42298).
- To learn about how the TRTC SDK can be used in different scenarios, see [Sample Code](https://intl.cloud.tencent.com/document/product/647/42963).
- For complete API documentation, see [TRTC Web SDK](https://web.sdk.qcloud.com/trtc/webrtc/v5/doc/en/index.html).
- [Contact us](https://intl.cloud.tencent.com/contact-us) for technical support.
- To report bugs in our sample code, please create an issue.
- Communication & Feedback
Welcome to join our Telegram Group to communicate with our professional engineers! We are more than happy to hear from you~
Click to join: [https://t.me/+EPk6TMZEZMM5OGY1](https://t.me/+EPk6TMZEZMM5OGY1)
Or scan the QR code
  <img src="https://qcloudimg.tencent-cloud.cn/raw/79cbfd13877704ff6e17f30de09002dd.jpg" width="300px">    
